

function onBegin()
	makeUnskippable()

	--set to berry time + ~5 seconds
	local berryTimer = 360
	local currentHeight = 0
	math.randomseed(os.time())
	chance = math.random(1,5)

	if chance == 1 then
		wait(berryTimer)
		currentHeight = player.Y
		--doesn't play dialogue if player is really close to the top
		if currentHeight > 4000 then
			waitUntilOnGround()
			player.ForceCameraUpdate = true
			disableMovement()
			say("Downside2_BerryHint")
			enableMovement()
			player.ForceCameraUpdate = false
		end
	end
end